<?php

// No direct access.
defined('_JEXEC') or die;

class plgSystemGlobalReplacer extends JPlugin {
  public function onAfterRender() {

    if (JFactory::getApplication()->isAdmin()){
      return true;
    }
    $excludeCss = preg_split('~\r?\n~', $this->params->get('exclude', 'media/system/css/modal.css'));
    foreach($excludeCss as &$css) {
      $css = preg_quote(trim($css));
    }
    $excludeCss = array_filter($excludeCss);

    $excludeCssRules = implode('|', $excludeCss);
    $regexp = '~<link.*?href=["\'][^"\']*('.$excludeCssRules.')[^"\']*["\'].*?>~i';

    $ext_buffer = JResponse::getBody();
    $ext_buffer = preg_replace($regexp, '', $ext_buffer); // <!-- CSS merge -->
    $ext_buffer = preg_replace('~<head>~', '<head><link href="'.$this->params->get('minified', '').'" rel="stylesheet" type="text/css" />', $ext_buffer);
    $ext_buffer = preg_replace('~\n~', '', $ext_buffer);
    $ext_buffer = preg_replace('~\s+~', ' ', $ext_buffer);

    JResponse::setBody($ext_buffer);
    return true;


  }

}